//+------------------------------------------------------------------+
//|                                                      neuro_1.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#include <NeuroDll.mqh>

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red

//---- input parameters
extern string    Path = "c:\Program Files\MetaTrader 4 Ukrsotsbank\experts\libraries";
extern string    File_Name = "22.06.2008.ini";

//---- buffers
double ExtMapBuffer1[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

double arr_output[];
   
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   
//----

   string ret1 = MPLLoad(Path + "\\" + File_Name);
   Print("DLL init: ", ret1);
   
   ArrayResize(arr_output,MPLGetOutArraySize());
   //test("1;2;3;4;5;6");   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int counted_bars=IndicatorCounted();

   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;

   for(int i=0; i<limit; i++) {
      double arr[4];
      arr[0] = High[i];
      arr[1] = Open[i];
      arr[2] = Close[i];
      arr[3] = Low[i];
      MPLRun(arr_output,arr,4);
      ExtMapBuffer1[i]= arr_output[0];     
     
   }
   return(0);
  }
//+------------------------------------------------------------------+


